API reference · Interview

Validate QR code uuid

POST/omni/qr/validate

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Check if provided UUID value is still valid for Interview ID. If valid, response will contain UUID that is stored on Onboarding cache and have default TTL of 15min If not valid, response will contain error details

Path & query parameters

Name In Type Required Description
api-version header string yes

Request body

Field Type Required Description
urlUuid string
onboardingId string

Responses

200

OK

Response body (application/json):

Field Type Required Description
success boolean Flag indicating request passed successfully.
sessionStatus string Session status Enum: Alive, Closed, Deleted
urlUuid string Short-lived uuid for validation

400

Custom error statuses: - 4026: Invalid uuid parameter - 4081: Invalid parameters for validation

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details
Was this page helpful?